lappend auto_path [ file dirname [ info script ]]
package require newname
wm withdraw .
set pi 3.1415

# Creating a circle with 8 segments
# First the points
set pts [ vtkPoints [ newname::vnewobj ]]
$pts SetNumberOfPoints 8
for { set i 0 } { $i <= 7 } { incr i } {
   set rad [ expr 2.0*$i*$pi/8.0 ]
   set x [ expr 10.0* sin($rad) ]
   set y [ expr 10.0* cos($rad) ]
   $pts SetPoint $i $x $y 0.0
   puts stdout "Point $i = [ $pts GetPoint $i ]"
}

# Next the line segments
set lines [ vtkCellArray [ newname::vnewobj ]]
$lines Allocate 10 5
for { set i 0 } { $i <= 7 } { incr i } {
   set p1 $i
   set p2 [ expr $i + 1 ]
   if { $p2 > 7 } { set p2 0 }
   $lines InsertNextCell 2 
   $lines InsertCellPoint $p1;
   $lines InsertCellPoint $p2
   puts stdout "Set Line Segment $i = ($p1, $p2)"
}

# Create the curve object and set the points and lines
set curve [ vtkPolyData [ newname::vnewobj ]]
$curve SetPoints $pts
$curve SetLines $lines

# Since VTK uses reference counting delete pts and lines
# as these are counted inside curve
$pts Delete
$lines Delete

# Save the curve to a file
set writer [ vtkPolyDataWriter [ newname::vnewobj ]]
$writer SetInput $curve
$writer SetFileName curve.vtk
$writer Write

# Clean Up all objects and exit
$writer Delete
$curve  Delete
exit

