lappend auto_path [ file dirname [ info script ]]
package require newname
wm geometry . 300x150



proc SetSlice { } {
    global slice
    global viewer

    $viewer SetZSlice [ expr int($slice) ]
    $viewer Render
}


set top [ frame .top ]
set bot [ frame .bottom ]
pack $bot -side bottom -expand false -fill x -pady 2 -padx 20
pack $top -side top -expand true -fill both

set slice 0

label $bot.a -text "Smoothness:"
set slicescale [ scale $bot.b -variable slice -from 0 -to 10 -digits 3 \
		     -orient horizontal -resolution 1 ]
pack $bot.a $bot.b -side left -expand true -fill x

button $bot.exit -text "Exit!" -command { destroy . ; exit }
pack $bot.exit -side right


# Load the Image
set reader [ vtkStructuredPointsReader [ newname::vnewobj ]] 
$reader SetFileName brain.vt
$reader Update

# Print Image Information
set img [ $reader GetOutput ]
puts stdout "dimensions [ $img GetDimensions ] spacing [ $img GetSpacing ]" 
set numslices [ lindex [ $img GetDimensions ] 2 ]
$slicescale configure -to [ expr $numslices - 1 ]


set v1 [ vtkTkImageViewerWidget $top.1 -height 170 -width 170 ]
pack $v1  -side top -expand true -fill both -pady 2

# Force GUI to be drawn
update

# Get the Image Viewers
set viewer [ $v1 GetImageViewer ]


$viewer SetInput $img
$viewer SetZSlice 0
$viewer SetColorLevel 128
$viewer SetColorWindow 255
$viewer Render

bind $slicescale <ButtonRelease> { SetSlice }
eval "bind $v1 <Expose> { $viewer Render }"



vwait forever


