lappend auto_path [ file dirname [ info script ]]
package require newname
wm geometry . 200x200

# First Load the Image
set tr [ vtkStructuredPointsReader [ newname::vnewobj ]] 
$tr SetFileName brain.vt
$tr Update

set voi [ vtkExtractVOI [ newname::vnewobj ]] 
$voi SetInput [ $tr GetOutput ]
$voi SetVOI 0 41 0 47 30 30


set colormap [ vtkLookupTable [ newname::vnewobj ]] 
$colormap SetNumberOfColors 256
$colormap SetTableRange 0 255
for { set i 0 } { $i  < 256 } { incr i } {
    set v [ expr $i /255.0 ]
    $colormap SetTableValue $i $v $v $v 1.0
}

set texture [ vtkTexture [ newname::vnewobj ]] 
$texture SetInput [ $voi GetOutput ]
$texture InterpolateOn
$texture SetLookupTable $colormap

set imageplane [ vtkPlaneSource [ newname::vnewobj ]] 
$imageplane SetXResolution 1
$imageplane SetYResolution 1
$imageplane SetOrigin -0.5 -0.5  30
$imageplane SetPoint1 40.5 -0.5  30
$imageplane SetPoint2 -0.5  46.5 30

set map [ vtkPolyDataMapper [ newname::vnewobj ]] 
$map SetInput [ $imageplane GetOutput ]

set imactor [ vtkActor [ newname::vnewobj ]] 
$imactor SetMapper $map
$imactor SetTexture $texture

set ren [ vtkRenderer [ newname::vnewobj ]] 
$ren AddActor $imactor

set renwin [ vtkRenderWindow [ newname::vnewobj ] ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render

# Interactor
set iren [ vtkRenderWindowInteractor [ newname::vnewobj ] ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever



