lappend auto_path [ file dirname [ info script ]]
package require newname
wm geometry . 200x200

# This is a simple volume rendering example that
# uses a vtkVolumeRayCast mapper

# Create the standard renderer, render window
# and interactor

# Create the reader for the data
# First Load the Image
set reader [ vtkStructuredPointsReader [ newname::vnewobj ]] 
$reader SetFileName brain.vt
$reader Update

# Convert image to unsigned char (volume rendering requires unsigned char/short)
set cast [ vtkImageCast [ newname::vnewobj ]]
$cast SetInput [ $reader GetOutput ]
$cast SetOutputScalarTypeToUnsignedChar

# Create transfer mapping scalar value to opacity
set opacityTransferFunction [ vtkPiecewiseFunction [ newname::vnewobj ]]
$opacityTransferFunction AddPoint  40   0.0
$opacityTransferFunction AddPoint  255  1.0

# Create transfer mapping scalar value to color
set  colorTransferFunction [ vtkColorTransferFunction [ newname::vnewobj ]]
$colorTransferFunction AddRGBPoint      0.0 0.0 0.0 0.0
$colorTransferFunction AddRGBPoint    255.0 1.0 1.0 1.0

# The property describes how the data will look
set volumeProperty [ vtkVolumeProperty [ newname::vnewobj ]]
$volumeProperty SetColor $colorTransferFunction
$volumeProperty SetScalarOpacity $opacityTransferFunction
$volumeProperty SetInterpolationTypeToLinear

# The mapper / ray cast function know how to render the data
set compositeFunction [ vtkVolumeRayCastCompositeFunction [ newname::vnewobj ]]
set volumeMapper [ vtkVolumeRayCastMapper [ newname::vnewobj ]]
$volumeMapper SetVolumeRayCastFunction $compositeFunction
$volumeMapper SetInput [ $cast GetOutput]

# The volume holds the mapper and the property and
# can be used to position/orient the volume
set volume [ vtkVolume [ newname::vnewobj ]]
$volume SetMapper   $volumeMapper
$volume SetProperty $volumeProperty

set ren [ vtkRenderer [ newname::vnewobj ]] 
$ren AddVolume $volume

set renwin [ vtkRenderWindow [ newname::vnewobj ] ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render
$renwin SetDesiredUpdateRate 1.0

set iren [ vtkRenderWindowInteractor [ newname::vnewobj ] ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever




