lappend auto_path [ file dirname [ info script ]]
package require newname
wm withdraw .

# Create a surface -- in this case a sphere
set sphere [ vtkSphereSource [ newname::vnewobj ]] 
$sphere SetCenter 50.0 50.0 50.0
$sphere SetRadius 20.0
$sphere SetPhiResolution 24
$sphere SetThetaResolution 24
$sphere Update

# Create Locator
set locator [ vtkPointLocator [ newname::vnewobj ]] 
$locator SetDataSet [ $sphere GetOutput ]
$locator BuildLocator

# Define Some Test Points and search
set sometestpoints { { 42 23 48 } { 81 75 32 } { 50 62 73 } }

set len [ llength $sometestpoints ]
for { set i 0 } { $i < $len } { incr i } {
    set plist [ lindex $sometestpoints $i ]
    set x [ lindex $plist 0 ]
    set y [ lindex $plist 1 ]
    set z [ lindex $plist 2 ]
    set index [ $locator FindClosestPoint $x $y $z  ]
    set outpt [ [ $locator GetDataSet ] GetPoint $index ]

    puts stderr "Input Point = ($x,$y,$z) --> nearest point on sphere index =$index, location = $outpt"
}
	
# More Advanced Usage	
set idlist [ vtkIdList [ newname::vnewobj ]]
$locator FindClosestNPoints  4 70 70 70 $idlist

set numids [ $idlist GetNumberOfIds ]
for { set i 0 } { $i < $numids } { incr i } {
    set index [ $idlist GetId $i ]
    set outpt [ [ $locator GetDataSet ] GetPoint $index ]

    puts stderr "Closest Point $i, index =$index, location = $outpt"
}

exit



