lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
wm geometry . 200x200

# First Load the Image
set tr [ vtkpxAnalyzeImageSource [ pxvtable::vnewobj ]] 
$tr Load axial.hdr

set dim [ [ $tr GetOutput ] GetDimensions ]
set x [ expr round([ lindex $dim 0 ] /2)]
set y [ expr round([ lindex $dim 1 ] /2)]
set z [ expr round([ lindex $dim 2 ] /2)]


set obliqueslice [ vtkpxObliqueImageSlice [ pxvtable::vnewobj ]] 
$obliqueslice SetInput [ $tr GetOutput ]
$obliqueslice SetFrame 0
$obliqueslice SetDisplayMode 3
$obliqueslice UpdateImagePlane 20.0 0.2 0.4 0.1

set outline [ vtkOutlineFilter [ pxvtable::vnewobj ]]
$outline SetInput [ $tr GetOutput ]

set map [ vtkPolyDataMapper [ pxvtable::vnewobj ]]
$map SetInput [ $outline GetOutput ]

set actor [ vtkActor [ pxvtable::vnewobj ]]
$actor SetMapper $map


set ren [ vtkRenderer [ pxvtable::vnewobj ]] 
$ren AddActor $obliqueslice
$ren AddActor $actor

set renwin [ vtkRenderWindow [ pxvtable::vnewobj ] ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render

# Interactor
set iren [ vtkRenderWindowInteractor [ pxvtable::vnewobj ] ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever



