package provide BioImageSuiteSimpleSurfaceViewer 1.0

lappend auto_path [ file dirname [ info script ]]
package require SimpleSurfaceViewer
package require loadbioimagesuite 


itcl::class BioImageSuiteSimpleSurfaceViewer {

    inherit SimpleSurfaceViewer

    protected variable bioimagesuite_viewer 0
    protected variable renderwindow 0


    constructor { base } {
	::SimpleSurfaceViewer::constructor $base
    } {
    }


    # Callback Handlers
    public method HandleUpdateEvent { args }
    public method HandleMouseEvent { mouse stat x1 x2 widgetname args }

    # Create Interactor
    protected method AddInteractor { renderwidget renwin } 
};
# ---------------------------------------------------------------------------------
itcl::body BioImageSuiteSimpleSurfaceViewer::HandleUpdateEvent { args } {
    
    if {$renderwindow != 0 } {
	$renderwindow Render
    }
}
# ---------------------------------------------------------------------------------
itcl::body BioImageSuiteSimpleSurfaceViewer::HandleMouseEvent { mouse stat x1 x2 widgetname args} {
    
    if { $bioimagesuite_viewer == 0 } {
	return
    }
    
    # Need to flip y-axis vtk counts from bottom tk counts from top !!!
    set wd [ $renderwindow GetSize ]
    set x2 [ expr [lindex $wd 1 ] - $x2 ]
    $bioimagesuite_viewer HandleMouseButtonEvent $mouse $stat $x1 $x2
    
}
# ---------------------------------------------------------------------------------


itcl::body BioImageSuiteSimpleSurfaceViewer::AddInteractor { renderwidget renwin } {
    
    update idletasks
    set bioimagesuite_viewer  [ vtkpxGUIRenderer [ pxvtable::vnewobj ] ]
    
    $bioimagesuite_viewer BindMouseEvents $renderwidget "$this HandleMouseEvent" "$this HandleUpdateEvent"
    $bioimagesuite_viewer Initialize $renderwidget $renderer 0
    set renderwindow $renwin
}
 