lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
package require loadmrfsegm

set ana [ vtkpxAnalyzeImageSource [ pxvtable::vnewobj ]]
$ana Load axial_small.hdr

set img [ $ana GetOutput ]

puts stderr "Loaded image, dimensions = [ $img GetDimensions ]"

set segm [ vtkKMeansSegmentation [ pxvtable::vnewobj ]]
$segm SetInput $img
$segm SetNumberOfBins 128
$segm SetMaxSigmaRatio 1.0
$segm SetNumberOfClasses 3
$segm Update

set hist [ $segm GetHistogram ]
puts stderr "Origin=[$hist GetOrigin ]\n Spacing=[ $hist GetSpacing ]\nDimensions=[$hist GetDimensions ]"
set data [ [ $hist GetPointData ] GetScalars ]
set nt [ $data GetNumberOfTuples ]
set fid [ open hist.dat w ]
for { set i 0 } { $i < $nt } { incr i } {
    puts $fid "$i \t [ $data GetComponent $i 0 ]"
}
close $fid


set data [ $segm GetParameters ]
set nt [ $data GetNumberOfTuples ]
set fid [ open params.dat w ]
for { set i 0 } { $i < $nt } { incr i } {
    puts $fid "$i \t mean=[ $data GetComponent $i 1 ]\t sigma=[ $data GetComponent $i 2 ]\t\t (numvoxels=[ $data GetComponent $i 2 ])"
}
close $fid


exit
