lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
package require loadmrfsegm

set ana [ vtkpxAnalyzeImageSource [ pxvtable::vnewobj ]]
$ana Load axial_small.hdr

set img [ $ana GetOutput ]

puts stderr "Loaded image, dimensions = [ $img GetDimensions ]"

set segm [ vtkKMeansSegmentation [ pxvtable::vnewobj ]]
$segm SetInput $img
$segm SetNumberOfBins 128
$segm SetMaxSigmaRatio 1.0
$segm SetNumberOfClasses 3
$segm Update

set segm2 [ vtkMRFSegmentation [ pxvtable::vnewobj ]]
$segm2 SetInput $img
$segm2 SetInitialSegmentation [ $segm GetOutput ]
$segm2 SetSmoothness 2.0
$segm2 SetNumberOfIterations 10
$segm2 SetMRFIterations 5
$segm2 Update

set anaw [  vtkpxAnalyzeImageWriter [ pxvtable::vnewobj ]]
$anaw SetInput [ $segm GetOutput ] ; $anaw Save "kmeans.hdr"

$anaw SetInput [ $segm2 GetOutput ] ; $anaw Save "mrf.hdr"


exit
