#ifndef __vtkMultiThresholdSegmentation_h
#define __vtkMultiThresholdSegmentation_h

#include "vtkSimpleImageToImageFilter.h"
#include "vtkImageData.h"
#include "vtkDoubleArray.h"


class vtkMultiThresholdSegmentation : public vtkSimpleImageToImageFilter
{
public:
  static vtkMultiThresholdSegmentation *New();
  vtkTypeMacro(vtkMultiThresholdSegmentation,vtkSimpleImageToImageFilter);

  // Description:
  // The Input here is N Thresholds resulting in N+1 output classes
  vtkSetObjectMacro(Thresholds,vtkDoubleArray);
  vtkGetObjectMacro(Thresholds,vtkDoubleArray);

protected:

  vtkMultiThresholdSegmentation();
  virtual ~vtkMultiThresholdSegmentation();
  vtkMultiThresholdSegmentation(const vtkMultiThresholdSegmentation&) {};
  void operator=(const vtkMultiThresholdSegmentation&) {};

  virtual void ExecuteInformation();
  virtual void SimpleExecute(vtkImageData* in,vtkImageData* out);

  vtkDoubleArray* Thresholds;

};

#endif
